System.ServiceModel 4.0.0.0 System.Enum

This enumeration defines the security modes that the supports.

Specifies the different security modes for .

- Field
  4.0.0.0
  System.ServiceModel.WSFederationHttpSecurityMode

  Integrity, confidentiality, server authentication and client authentication are provided using SOAP message security. By default, the body is encrypted and signed. The service must be configured with a certificate. Client authentication is based on the token issued to the client by a security token service.

- Field
  4.0.0.0
  System.ServiceModel.WSFederationHttpSecurityMode

  The SOAP message is not secure during transfer. No Security Token Service is contacted. This mode is equivalent to using the wsHttpBinding binding with SecurityMode.None.

- Field
  4.0.0.0
  System.ServiceModel.WSFederationHttpSecurityMode

  Integrity, confidentiality and server authentication are provided by HTTPS. The service must be configured with a certificate. Client authentication is provided by means of SOAP message security and is based on the token issued to the client by a security token service.